hpp-constraints: hpp::constraints::RotationMultiply< RhsValue > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
hpp::constraints::RotationMultiply< RhsValue > Class Template Reference
Symbolic calculus

Multiplication of an expression by a rotation matrix. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::RotationMultiply< RhsValue >:
[legend]
Collaboration diagram for hpp::constraints::RotationMultiply< RhsValue >:
[legend]

## Public Types
typedef CalculusBase< RotationMultiply< RhsValue > > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| RotationMultiply ()
| RotationMultiply (const CalculusBase< RotationMultiply > &other)
| HPP_CONSTRAINTS_CB_CREATE2 (RotationMultiply, const typename Traits< pinocchio::Joint >::Ptr_t &, const typename Traits< RhsValue >::Ptr_t &) HPP_CONSTRAINTS_CB_CREATE2(RotationMultiply
const Traits< JointTranspose >::Ptr_t const Traits< RhsValue >::Ptr_t & | RotationMultiply (const typename Traits< JointTranspose >::Ptr_t &joint, const typename Traits< RhsValue >::Ptr_t &rhs)
| RotationMultiply (const typename Traits< pinocchio::Joint >::Ptr_t &joint, const typename Traits< RhsValue >::Ptr_t &rhs, bool transpose=false)
void | impl_value (const ConfigurationIn_t arg)
void | impl_jacobian (const ConfigurationIn_t arg)
void | invalidate ()
Public Member Functions inherited from hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
Expression< pinocchio::Joint, RhsValue >::Ptr_t | e_
Protected Attributes inherited from hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Friends
class | Expression< pinocchio::Joint, RhsValue >

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >
void | init (const typename Traits< RotationMultiply< RhsValue > >::Ptr_t &ptr)

## Detailed Description

template<typename RhsValue>
class hpp::constraints::RotationMultiply< RhsValue >

Multiplication of an expression by a rotation matrix.

## Member Typedef Documentation

## ◆ Parent_t

template<typename RhsValue >

typedef CalculusBase<RotationMultiply<RhsValue> > hpp::constraints::RotationMultiply< RhsValue >::Parent_t

## Constructor & Destructor Documentation

## ◆ RotationMultiply() [1/4]

template<typename RhsValue >

hpp::constraints::RotationMultiply< RhsValue >::RotationMultiply | ( |  | ) |
| inline

## ◆ RotationMultiply() [2/4]

template<typename RhsValue >

hpp::constraints::RotationMultiply< RhsValue >::RotationMultiply | ( | const CalculusBase< RotationMultiply< RhsValue > > & | other | ) |
| inline

## ◆ RotationMultiply() [3/4]

template<typename RhsValue >

const Traits< JointTranspose >::Ptr_t const Traits< RhsValue >::Ptr_t & hpp::constraints::RotationMultiply< RhsValue >::RotationMultiply | ( | const typename Traits< JointTranspose >::Ptr_t & | joint,
|  | const typename Traits< RhsValue >::Ptr_t & | rhs )
| inline

## ◆ RotationMultiply() [4/4]

template<typename RhsValue >

hpp::constraints::RotationMultiply< RhsValue >::RotationMultiply | ( | const typename Traits< pinocchio::Joint >::Ptr_t & | joint,
|  | const typename Traits< RhsValue >::Ptr_t & | rhs,
|  | bool | transpose = false )
| inline

## Member Function Documentation

## ◆ HPP_CONSTRAINTS_CB_CREATE2()

template<typename RhsValue >

hpp::constraints::RotationMultiply< RhsValue >::HPP_CONSTRAINTS_CB_CREATE2 | ( | RotationMultiply< RhsValue > | ,
|  | const typename Traits< pinocchio::Joint >::Ptr_t & | ,
|  | const typename Traits< RhsValue >::Ptr_t & | )

## ◆ impl_jacobian()

template<typename RhsValue >

void hpp::constraints::RotationMultiply< RhsValue >::impl_jacobian | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ impl_value()

template<typename RhsValue >

void hpp::constraints::RotationMultiply< RhsValue >::impl_value | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ invalidate()

template<typename RhsValue >

void hpp::constraints::RotationMultiply< RhsValue >::invalidate | ( |  | ) |
| inline virtual

Reimplemented from hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >.

## Friends And Related Symbol Documentation

## ◆ Expression< pinocchio::Joint, RhsValue >

template<typename RhsValue >

friend class Expression< pinocchio::Joint, RhsValue >
| friend

## Member Data Documentation

## ◆ e_

template<typename RhsValue >

Expression<pinocchio::Joint,RhsValue>::Ptr_t hpp::constraints::RotationMultiply< RhsValue >::e_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh